---
description: Downgrade your Docker Hub Plan
keywords: Docker Hub, downgrade, subscription, Pro, Team, Free, pricing plan,
title: Downgrade your plan
redirect_from:
- /docker-hub/cancel-downgrade/
---

You can downgrade your Pro or Team plan anytime. When you downgrade your plan, changes will be applied at the end of your billing cycle.

For example, if you are currently on a **Team** plan which is billed on the 8th of every month and you choose to downgrade to a **Free** plan on the 15th, your plan will be active until 7th of the following month. You will be transferred to a Free plan on the 8th of the following month.

The following sections contain instructions on how to downgrade from Pro and Team plans to a Free plan.

## Downgrade from Pro to a Free plan

>**Note:**
>
> - It is not possible to offer prorated refunds when you downgrade an annual plan that’s already paid for and is still active. After you have downgraded, you can choose to reinstate your annual plan if it hasn't expired.
> - Before you downgrade to a Free plan, ensure that your account details are updated to reflect features available in the Free plan. For example, you may need to convert any private repositories to public repositories. For information on what’s included in the Free plan, see [Docker Hub Pricing](https://hub.docker.com/pricing){: target="_blank" class="_"}.
{: .important }

To downgrade from a Pro plan to a Free plan:

1. Log into your [Docker Hub](https://hub.docker.com){: target="_blank" class="_"} account.

2. Open the drop-down menu next to your username in the top-right corner and select **Billing**. The Billing page displays billing information about your existing user account.

3. Click **Change plan** to downgrade your existing plan.

4. On the **Change Plan** page, review the information displayed in the **Free** section and click **Downgrade**.

5. When prompted, review the warning displayed about downgrading your account and click **Continue with Downgrade**.

6. If your account meets the requirements of a Free plan, the **Downgrade confirmation** screen will be displayed. Click **continue**.

7. We’d like to understand the reason for your downgrade. Select a reason for your downgrade from the list. Optionally, add a comment and select the checkbox to discuss your feedback with a member of the Docker team. Click **Send**.

8. The **Billing** page displays a confirmation of the downgrade with details on when the downgrade changes will take effect.

9. To cancel the downgrade, click **Cancel the downgrade**.

## Downgrade from Team to a Free plan

>**Note:**
>
> - It is not possible to offer prorated refunds when you downgrade an annual plan that’s already paid for and is still active. After you have downgraded, you can choose to reinstate your annual plan if it hasn't expired.
> - Before you downgrade to a Free Team plan, you must convert all private repositories to public repositories and update the organization details to reflect features available in the Free plan. For example, you may need to reduce the number of team members. For information on what’s included in the Free plan, see [Docker Hub Pricing](https://hub.docker.com/pricing){: target="_blank" class="_"}.
{: .important }

To downgrade to a Free Team plan from a Team plan:

1. Log into an owner account for the organization in [Docker Hub](https://hub.docker.com){: target="_blank" class="_"}.

2. Navigate to **Organizations** from the menu at the top of the page, then choose your organization.

3. Select the **Billing** tab.

4. Click **Change plan** to downgrade your existing plan.

5. On the **Change organization** page, review the information displayed in the **Free Team** section and click **Downgrade**.

6. When prompted, review the warning displayed about downgrading your account and click **Continue with Downgrade**.

7. If your account meets the requirements of a Free plan, the **Downgrade confirmation** screen will be displayed. Click **continue**.

8. We’d like to understand the reason for your downgrade. Select a reason for your downgrade from the list. Optionally, add a comment and select the checkbox to discuss your feedback with a member of the Docker team. Click **Send**.

9. The **Billing** page displays a confirmation of the downgrade with details on when the downgrade changes will take effect.

10. To cancel the downgrade, click **Cancel the downgrade**.
