---
title: "Educational resources"
keywords: get started, setup, orientation, quickstart, intro, concepts, kubernetes, docker desktop
description: Get started resources learning docker
---

Docker and the broader community of Docker experts have put together many different ways to get further training and hands-on experience with Docker. Expand your understanding of Docker and Kubernetes with these additional free and paid resources.


# Hosted Labs 
These self-paced and hands-on workshops use free, hosted environments ([Play with Docker](https://labs.play-with-docker.com/) and [Play with Kubernetes](https://labs.play-with-k8s.com/)) that do not require anything to be installed. Follow along and learn more about Docker and Kubernetes.

* [Kubernetes Workshop](https://training.play-with-kubernetes.com/kubernetes-workshop/)
* [Microservice containerization and orchestration](https://training.play-with-docker.com/microservice-orchestration/)

\* Labs are free but require registration with a Docker ID


# Self-Guided Tutorials
Created by experts in the Docker community, these free tutorials provide guided step-by-step workflows for working with the Docker platform.

* **Integrating Docker with Your IDE**
    * [Java Development: Eclipse](https://training.play-with-docker.com/java-debugging-eclipse/)
    * [Java Development: IntelliJ](https://training.play-with-docker.com/java-debugging-intellij/)
    * [Java Development: Netbeans](https://training.play-with-docker.com/java-debugging-netbeans/)
    * [Live Debugging Node.js with Docker and Visual Studio Code](https://training.play-with-docker.com/nodejs-live-debugging/)


* **Windows Containers**
    * [Windows Container Setup](https://training.play-with-docker.com/windows-containers-setup/)
    * [Windows Container Basics](https://training.play-with-docker.com/windows-containers-basics/)
    * [Windows Containers Multi-Container Applications](https://training.play-with-docker.com/windows-containers-multicontainer/)

# Books
If books are your preferred learning style, check out these written by the [Docker Captains](https://www.docker.com/community/captains). Docker Captain is a distinction that Docker awards to select members of the community that are both experts in their field and are committed to sharing their Docker knowledge with others.

* [Learn Docker in a Month of Lunches (use the code `webdoc40` for 40% off)](https://www.manning.com/books/learn-docker-in-a-month-of-lunches), Elton Stoneman
* [Docker on Windows: From 101 to Production with Docker on Windows](https://www.amazon.com/Docker-Windows-Elton-Stoneman-ebook/dp/B0711Y4J9K/), Elton Stoneman
* [Docker in Action 2nd Edition](https://www.manning.com/books/docker-in-action-second-edition) Jeff Nickoloff, Oct 2019
* [The Kubernetes Book](https://www.amazon.com/Kubernetes-Book-Nigel-Poulton/dp/1521823634/ref=sr_1_3?ie=UTF8&qid=1509660871&sr=8-3&keywords=nigel+poulton), Nigel Poulton, Nov 2018
* [Docker Deep Dive](https://www.amazon.com/Docker-Deep-Dive-Nigel-Poulton/dp/1521822808/ref=sr_1_1?ie=UTF8&qid=1509660871&sr=8-1&keywords=nigel+poulton), Nigel Poulton, March 2018
* [Portuguese] [Docker para desenvolvedores](https://leanpub.com/dockerparadesenvolvedores) (2017) by Rafael Gomes

# Self-Paced Online Learning
A number of Docker Captains have also created video courses on Docker and Kubernetes.

* [Bret Fisher](https://www.bretfisher.com/courses/): Docker Mastery, Docker Swarm Mastery, Docker Mastery for Node.js Projects
* [Nick Janetakis](https://nickjanetakis.com/courses/) Dive into Docker, Docker for DevOps
* [Nigel Poulton](https://nigelpoulton.com/video-courses): Kubernetes 101, Getting Started with Kubernetes, Docker and Kubernetes: The Big Picture, Kubernetes Deep Dive, Docker Deep Dive
* [Arun Gupta](https://www.lynda.com/Docker-tutorials/Docker-Java-developers/576584-2.html): Docker for Java Developers
* [Ajeet Singh Raina](https://collabnix.com/): Docker and Kubernetes Labs
* [French] [Luc Juggery](https://www.udemy.com/user/lucjuggery/): Introduction to Kubernetes, The Docker Platform
* [Spanish] [Manuel Morejón](https://www.udemy.com/course/integrando-docker-a-su-infraestrucutra-y-servicios/learn/lecture/6624848#overview): Integrating Docker to its Infrastructure and Services

\* Many of the courses are fee-based
